RDCatalog::CatalogParams Class Referenceabstract

abstract base class for the container used to create a catalog More...

`#include <CatalogParams.h>`

Inheritance diagram for RDCatalog::CatalogParams:

## Public Member Functions

virtual | ~CatalogParams ()=0
std::string | getTypeStr () const
| returns our type string More...
void | setTypeStr (const std::string &typeStr)
| sets our type string More...
virtual void | toStream (std::ostream &) const =0
| serializes (pickles) to a stream More...
virtual std::string | Serialize () const =0
| returns a string with a serialized (pickled) representation More...
virtual void | initFromStream (std::istream &ss)=0
| initializes from a stream pickle More...
virtual void | initFromString (const std::string &text)=0
| initializes from a string pickle More...

## Protected Attributes

std::string | d_typeStr
| our type string More...

## Detailed Description

abstract base class for the container used to create a catalog

Definition at line 17 of file CatalogParams.h.

## Constructor & Destructor Documentation

virtual RDCatalog::CatalogParams::~CatalogParams | ( |  | ) |

pure virtual

## Member Function Documentation

std::string RDCatalog::CatalogParams::getTypeStr | ( |  | ) | const

inline

returns our type string

Definition at line 22 of file CatalogParams.h.

References d_typeStr.

virtual void RDCatalog::CatalogParams::initFromStream | ( | std::istream & | ss | ) |

pure virtual

initializes from a stream pickle

Implemented in RDKit::FragCatParams, and RDKit::MolCatalogParams.

virtual void RDCatalog::CatalogParams::initFromString | ( | const std::string & | text | ) |

pure virtual

initializes from a string pickle

Implemented in RDKit::FragCatParams, and RDKit::MolCatalogParams.

virtual std::string RDCatalog::CatalogParams::Serialize | ( |  | ) | const

pure virtual

returns a string with a serialized (pickled) representation

Implemented in RDKit::FragCatParams, and RDKit::MolCatalogParams.

void RDCatalog::CatalogParams::setTypeStr | ( | const std::string & | typeStr | ) |

inline

sets our type string

Definition at line 25 of file CatalogParams.h.

References d_typeStr.

virtual void RDCatalog::CatalogParams::toStream | ( | std::ostream & |  | ) | const

pure virtual

serializes (pickles) to a stream

Implemented in RDKit::FragCatParams, and RDKit::MolCatalogParams.

## Member Data Documentation

std::string RDCatalog::CatalogParams::d_typeStr

protected

our type string

Definition at line 37 of file CatalogParams.h.

Referenced by RDKit::FragCatParams::FragCatParams(), getTypeStr(), RDKit::MolCatalogParams::MolCatalogParams(), and setTypeStr().

The documentation for this class was generated from the following file:

- CatalogParams.h